## qmapshack 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(QMapShack)


if(WIN32)
set(QT_DEV_PATH   "C:\\Qt\\5.4\\msvc2013_64" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.3\\msvc2013_64")
set(GDAL_DEV_PATH "C:\\GDAL" CACHE PATH "Path to directory containing GDAL include and lib, e.g. M:\\lib\\gdal")
set(PROJ_DEV_PATH "C:\\PROJ" CACHE PATH "Path to directory containing PROJ.4 include and lib, e.g. M:\\lib\\PROJ")
set(ZLIB_DEV_PATH "C:\\zlib" CACHE PATH "Path to directory containing zlib include and lib, e.g. M:\\lib\\zlib")
set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_DEV_PATH})
endif(WIN32)


set(APPLICATION_NAME qmapshack)

set(APPLICATION_VERSION_MAJOR "1")
set(APPLICATION_VERSION_MINOR "3")
set(APPLICATION_VERSION_PATCH "0")

add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH} -DAPPLICATION_NAME=${PROJECT_NAME})


if (APPLE)
  set(PROGNAME "QMapShack")
  set(CONFIGDIR "Library/Application Support/${PROGNAME}/")
  set(MAC_BUNDLE_PATH ${EXECUTABLE_OUTPUT_PATH}/${PROGNAME}.app)
  set(MAC_ICON_FILE qmapshack.icns)
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH})
  set(MACOSX_BUNDLE_ICON_FILE ${MAC_ICON_FILE})
  set(MACOSX_BUNDLE_BUNDLE_NAME ${PROGNAME})
  set(MACOSX_BUNDLE_BUNDLE_VERSION ${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR})
  set(MACOSX_BUNDLE_GUI_IDENTIFIER org.qlandkarte.QMapShack)
else(APPLE)
  set(PROGNAME qmapshack)
  set(CONFIGDIR ".config/QLandkarte/")
endif(APPLE)
if(MSVC)
  # Add link-time code generation to improve performance
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /GL")
  set(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /LTCG")
endif(MSVC)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(CPackConfig.cmake)

include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)


set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
add_subdirectory(3rdparty/CGetOpt)
add_subdirectory(3rdparty/RoutinoLib)
add_subdirectory(src)


if (UNIX AND NOT WIN32 AND NOT APPLE)
  install(
    FILES
      qmapshack.desktop
    DESTINATION
      ${XDG_APPS_DIR}
  )

  install(
    FILES
      src/icons/48x48/QMapShack.png
    DESTINATION
      ${DATA_INSTALL_PREFIX}/pixmaps
  )

  install(
    FILES
      qmapshack.1
    DESTINATION
      ${MAN_INSTALL_DIR}/man1
  )
endif (UNIX AND NOT WIN32 AND NOT APPLE)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Find the QtWidgets library
find_package(Qt5Widgets)
find_package(Qt5Core)
find_package(Qt5Xml)
find_package(Qt5Script)
find_package(Qt5Sql)
find_package(Qt5WebKitWidgets)
find_package(Qt5LinguistTools)
find_package(Qt5PrintSupport)
if(UNIX)
find_package(Qt5DBus)
endif(UNIX)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)

file(GLOB XML_FILES "${CMAKE_SOURCE_DIR}/3rdparty/Routino/xml/*.xml")
file(COPY ${XML_FILES} DESTINATION ${CMAKE_SOURCE_DIR}/src/xml/routino)

set( SRCS

    main.cpp
    GeoMath.cpp
    CMainWindow.cpp
    CAbout.cpp
    helpers/CInputDialog.cpp
    helpers/CPositionDialog.cpp
    helpers/CWptIconDialog.cpp
    helpers/CTextEditWidget.cpp
    helpers/CSelectProjectDialog.cpp
    helpers/CSelectCopyAction.cpp
    helpers/CHistoryListWidget.cpp
    helpers/CElevationDialog.cpp
    helpers/CLinksDialog.cpp
    helpers/CPhotoAlbum.cpp
    helpers/CPhotoViewer.cpp
    helpers/CFadingIcon.cpp
    canvas/CCanvas.cpp
    canvas/CCanvasSetup.cpp
    canvas/IDrawContext.cpp
    canvas/IDrawObject.cpp
    dem/IDem.cpp
    map/IMapProp.cpp
    dem/IDemProp.cpp
    dem/CDemDraw.cpp
    dem/CDemVRT.cpp
    dem/CDemList.cpp
    dem/CDemItem.cpp
    dem/CDemPathSetup.cpp
    dem/CDemPropSetup.cpp    
    map/IMap.cpp
    map/CMapDraw.cpp
    map/CMapItem.cpp
    map/CMapList.cpp
    map/CMapRMAP.cpp
    map/CMapJNX.cpp
    map/CMapIMG.cpp
    map/CMapMAP.cpp
    map/CMapVRT.cpp
    map/CMapWMTS.cpp
    map/CMapTMS.cpp
    map/CMapPathSetup.cpp    
    map/CMapPropSetup.cpp
    map/garmin/IGarminStrTbl.cpp
    map/garmin/CGarminStrTbl6.cpp
    map/garmin/CGarminStrTbl8.cpp
    map/garmin/CGarminStrTblUtf8.cpp
    map/garmin/CGarminPoint.cpp
    map/garmin/CGarminPolygon.cpp
    map/garmin/CGarminTyp.cpp
    map/cache/CDiskCache.cpp
    map/cache/IDiskCache.cpp
    map/mapsforge/types.cpp
    units/IUnit.cpp
    units/CUnitImperial.cpp
    units/CUnitMetric.cpp
    units/CUnitNautic.cpp
    units/CTimeZoneSetup.cpp
    units/CUnitsSetup.cpp
    grid/CGrid.cpp
    grid/CGridSetup.cpp
    grid/CProjWizard.cpp
    grid/mitab.cpp
    mouse/IMouse.cpp    
    mouse/IScrOpt.cpp
    mouse/CMouseDummy.cpp
    mouse/CMouseNormal.cpp
    mouse/CMouseMoveWpt.cpp
    mouse/CMouseEditTrk.cpp
    mouse/CMouseEditRte.cpp
    mouse/CMouseEditArea.cpp
    mouse/CMouseRangeTrk.cpp
    mouse/CMouseWptBubble.cpp
    mouse/CScrOptUnclutter.cpp    
    mouse/CScrOptPoint.cpp    
    mouse/CScrOptRange.cpp
    mouse/CScrOptRangeTrk.cpp    
    mouse/line/IMouseEditLine.cpp
    mouse/line/CScrOptEditLine.cpp
    mouse/line/CScrOptRangeLine.cpp
    mouse/line/ILineOp.cpp
    mouse/line/CLineOpMovePoint.cpp
    mouse/line/CLineOpAddPoint.cpp
    mouse/line/CLineOpDeletePoint.cpp
    mouse/line/CLineOpSelectRange.cpp
    gis/WptIcons.cpp
    gis/CGisDraw.cpp
    gis/IGisItem.cpp
    gis/IGisLine.cpp
    gis/CGisWidget.cpp
    gis/CGisListDB.cpp
    gis/CGisListWks.cpp
    gis/CSelDevices.cpp
    gis/prj/IGisProject.cpp
    gis/prj/CDetailsPrj.cpp
    gis/gpx/CGpxProject.cpp
    gis/gpx/serialization.cpp
    gis/qms/CQmsProject.cpp
    gis/qms/serialization.cpp
    gis/tnv/CTwoNavProject.cpp
    gis/tnv/serialization.cpp
    gis/db/IDB.cpp
    gis/db/CSetupDatabase.cpp
    gis/db/CSetupWorkspace.cpp
    gis/db/CSetupFolder.cpp
    gis/db/IDBFolder.cpp
    gis/db/CDBFolderLostFound.cpp
    gis/db/CDBFolderDatabase.cpp
    gis/db/CDBFolderGroup.cpp
    gis/db/CDBFolderOther.cpp
    gis/db/CDBFolderProject.cpp
    gis/db/CDBItem.cpp
    gis/db/CDBProject.cpp
    gis/db/CLostFoundProject.cpp
    gis/db/CSelectSaveAction.cpp
    gis/db/CSelectDBFolder.cpp
    gis/search/CSearchGoogle.cpp
    gis/wpt/CGisItemWpt.cpp
    gis/wpt/CScrOptWpt.cpp
    gis/wpt/CDetailsWpt.cpp
    gis/wpt/CDetailsGeoCache.cpp
    gis/wpt/CProjWpt.cpp
    gis/wpt/CSetupNewWpt.cpp
    gis/trk/CGisItemTrk.cpp
    gis/trk/CScrOptTrk.cpp
    gis/trk/CDetailsTrk.cpp
    gis/trk/CCombineTrk.cpp
    gis/trk/filter/filter.cpp
    gis/trk/filter/CFilterDouglasPeuker.cpp
    gis/trk/filter/CFilterReset.cpp
    gis/trk/filter/CFilterDelete.cpp
    gis/trk/filter/CFilterMedian.cpp
    gis/trk/filter/CFilterReplaceElevation.cpp
    gis/trk/filter/CFilterOffsetElevation.cpp
    gis/trk/filter/CFilterNewDate.cpp
    gis/trk/filter/CFilterObscureDate.cpp
    gis/trk/filter/CFilterSpeed.cpp
    gis/rte/CGisItemRte.cpp
    gis/rte/CScrOptRte.cpp
    gis/rte/CCreateRouteFromWpt.cpp
    gis/rte/router/IRouter.cpp
    gis/rte/router/CRouterSetup.cpp
    gis/rte/router/CRouterRoutino.cpp
    gis/rte/router/CRouterMapQuest.cpp
    gis/rte/router/CRouterRoutinoPathSetup.cpp    
    gis/ovl/CGisItemOvlArea.cpp
    gis/ovl/CScrOptOvlArea.cpp
    gis/ovl/CDetailsOvlArea.cpp    
    plot/IPlot.cpp
    plot/CPlotAxis.cpp
    plot/CPlotAxisTime.cpp    
    plot/CPlotData.cpp
    plot/CPlotProfile.cpp
    plot/CPlotSpeed.cpp
    plot/CPlotDistance.cpp
    plot/ITrack.cpp
    plot/CPlotTrack.cpp
    qlgt/converter.cpp
    qlgt/CQlb.cpp
    qlgt/IItem.cpp
    qlgt/CQlgtFolder.cpp
    qlgt/CQlgtWpt.cpp
    qlgt/CQlgtTrack.cpp
    qlgt/CQlgtRoute.cpp
    qlgt/CQlgtDiary.cpp
    qlgt/IQlgtOverlay.cpp    
    qlgt/CQlgtDb.cpp
    qlgt/CQmsDb.cpp
    device/IDeviceWatcher.cpp
    device/IDevice.cpp
    device/CDeviceGarmin.cpp
    device/CDeviceTwoNav.cpp
    tool/IToolShell.cpp
    tool/CMapVrtBuilder.cpp
    tool/CImportDatabase.cpp
    tool/CRoutinoDatabaseBuilder.cpp
)

if(UNIX)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherLinux.cpp
)
endif(UNIX)

if(WIN32)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherWindows.cpp
)
endif(WIN32)


set( HDRS

    version.h
    GeoMath.h
    CMainWindow.h
    CAbout.h
    helpers/Platform.h
    helpers/CFileExt.h
    helpers/CAppOpts.h
    helpers/CSettings.h
    helpers/CInputDialog.h
    helpers/CPositionDialog.h
    helpers/CSelectCopyAction.h
    helpers/CWptIconDialog.h
    helpers/CTextEditWidget.h
    helpers/CSelectProjectDialog.h
    helpers/CHistoryListWidget.h
    helpers/CElevationDialog.h
    helpers/CLinksDialog.h
    helpers/CPhotoAlbum.h
    helpers/CPhotoViewer.h
    helpers/CFadingIcon.h
    canvas/CCanvas.h
    canvas/CCanvasSetup.h
    canvas/IDrawContext.h
    canvas/IDrawObject.h
    dem/IDem.h
    dem/IDemProp.h
    dem/CDemDraw.h
    dem/CDemVRT.h
    dem/CDemList.h
    dem/CDemItem.h
    dem/CDemPathSetup.h
    dem/CDemPropSetup.h
    map/IMap.h
    map/IMapProp.h
    map/CMapDraw.h
    map/CMapItem.h
    map/CMapList.h
    map/CMapRMAP.h
    map/CMapJNX.h
    map/CMapIMG.h
    map/CMapMAP.h
    map/CMapVRT.h
    map/CMapWMTS.h
    map/CMapTMS.h
    map/CMapPathSetup.h
    map/CMapPropSetup.h    
    map/garmin/Garmin.h
    map/garmin/IGarminStrTbl.h
    map/garmin/CGarminStrTbl6.h
    map/garmin/CGarminStrTbl8.h
    map/garmin/CGarminStrTblUtf8.h
    map/garmin/CGarminPoint.h
    map/garmin/CGarminPolygon.h
    map/garmin/CGarminTyp.h
    map/cache/CDiskCache.h
    map/cache/IDiskCache.h
    map/mapsforge/types.h
    units/IUnit.h
    units/CUnitImperial.h
    units/CUnitMetric.h
    units/CUnitNautic.h
    units/CTimeZoneSetup.h
    units/CUnitsSetup.h
    grid/CGrid.h
    grid/CGridSetup.h
    grid/CProjWizard.h
    grid/mitab.h
    mouse/IMouse.h    
    mouse/IScrOpt.h
    mouse/CMouseDummy.h
    mouse/CMouseNormal.h
    mouse/CMouseMoveWpt.h
    mouse/CMouseEditTrk.h
    mouse/CMouseEditRte.h
    mouse/CMouseEditArea.h
    mouse/CMouseRangeTrk.h
    mouse/CMouseWptBubble.h
    mouse/CScrOptUnclutter.h
    mouse/CScrOptPoint.h    
    mouse/CScrOptRange.h
    mouse/CScrOptRangeTrk.h
    mouse/line/CScrOptEditLine.h
    mouse/line/CScrOptRangeLine.h
    mouse/line/IMouseEditLine.h
    mouse/line/ILineOp.h
    mouse/line/CLineOpMovePoint.h
    mouse/line/CLineOpAddPoint.h
    mouse/line/CLineOpDeletePoint.h
    mouse/line/CLineOpSelectRange.h
    gis/WptIcons.h
    gis/CGisDraw.h
    gis/IGisItem.h
    gis/IGisLine.h
    gis/prj/IGisProject.h
    gis/prj/CDetailsPrj.h
    gis/CGisWidget.h
    gis/CGisListDB.h
    gis/CGisListWks.h
    gis/CSelDevices.h
    gis/qms/CQmsProject.h
    gis/tnv/CTwoNavProject.h
    gis/db/IDB.cpp
    gis/db/macros.h
    gis/db/CSetupDatabase.h
    gis/db/CSetupWorkspace.h
    gis/db/CSetupFolder.h
    gis/db/IDBFolder.h
    gis/db/CDBFolderLostFound.h
    gis/db/CDBFolderDatabase.h
    gis/db/CDBFolderGroup.h
    gis/db/CDBFolderOther.h
    gis/db/CDBFolderProject.h
    gis/db/CDBItem.h
    gis/db/CDBProject.h
    gis/db/CLostFoundProject.h
    gis/db/CSelectSaveAction.h
    gis/db/CSelectDBFolder.h
    gis/wpt/CGisItemWpt.h
    gis/wpt/CScrOptWpt.h
    gis/wpt/CDetailsWpt.h
    gis/wpt/CDetailsGeoCache.h
    gis/wpt/CProjWpt.h
    gis/wpt/CSetupNewWpt.h
    gis/trk/CGisItemTrk.h
    gis/trk/CScrOptTrk.h
    gis/trk/CDetailsTrk.h
    gis/trk/CCombineTrk.h
    gis/trk/filter/CFilterDouglasPeuker.h
    gis/trk/filter/CFilterReset.h
    gis/trk/filter/CFilterDelete.h
    gis/trk/filter/CFilterMedian.h
    gis/trk/filter/CFilterReplaceElevation.h
    gis/trk/filter/CFilterOffsetElevation.h
    gis/trk/filter/CFilterNewDate.h
    gis/trk/filter/CFilterObscureDate.h
    gis/trk/filter/CFilterSpeed.h
    gis/rte/CGisItemRte.h
    gis/rte/CScrOptRte.h
    gis/rte/CCreateRouteFromWpt.h
    gis/rte/router/IRouter.h
    gis/rte/router/CRouterSetup.h
    gis/rte/router/CRouterRoutino.h
    gis/rte/router/CRouterMapQuest.h
    gis/rte/router/CRouterRoutinoPathSetup.h
    gis/ovl/CGisItemOvlArea.h
    gis/ovl/CScrOptOvlArea.h
    gis/ovl/CDetailsOvlArea.h    
    gis/gpx/CGpxProject.h
    gis/search/CSearchGoogle.h
    plot/IPlot.h
    plot/CPlotAxis.h
    plot/CPlotAxisTime.h
    plot/CPlotData.h
    plot/CPlotProfile.h
    plot/CPlotSpeed.h
    plot/CPlotDistance.h
    plot/ITrack.h
    plot/CPlotTrack.h
    qlgt/CQlb.h
    qlgt/IItem.h
    qlgt/CQlgtFolder.h
    qlgt/CQlgtWpt.h
    qlgt/CQlgtTrack.h
    qlgt/CQlgtRoute.h
    qlgt/CQlgtDiary.h
    qlgt/IQlgtOverlay.h
    qlgt/CQlgtDb.h
    qlgt/CQmsDb.h
    device/IDeviceWatcher.h    
    device/IDevice.h
    device/CDeviceGarmin.h
    device/CDeviceTwoNav.h
    tool/IToolShell.h
    tool/CMapVrtBuilder.h
    tool/CImportDatabase.h
    tool/CRoutinoDatabaseBuilder.h
)

if(UNIX)
set( HDRS
    ${HDRS}
    device/CDeviceWatcherLinux.h
)
endif(UNIX)

if(WIN32)
set( HDRS
    ${HDRS}
    device/CDeviceWatcherWindows.h
)
endif(WIN32)

set( UIS
    IMainWindow.ui
    IAbout.ui
    helpers/IInputDialog.ui
    helpers/IPositionDialog.ui
    helpers/IWptIconDialog.ui
    helpers/ITextEditWidget.ui
    helpers/ISelectProjectDialog.ui
    helpers/ISelectCopyAction.ui
    helpers/IElevationDialog.ui
    helpers/ILinksDialog.ui
    helpers/IPhotoAlbum.ui
    canvas/ICanvasSetup.ui
    dem/IDemList.ui
    dem/IDemPathSetup.ui
    dem/IDemPropSetup.ui
    map/IMapList.ui
    map/IMapPathSetup.ui
    map/IMapPropSetup.ui    
    grid/IGridSetup.ui
    grid/IProjWizard.ui
    mouse/IScrOptPoint.ui    
    mouse/IScrOptRange.ui
    mouse/IScrOptRangeTrk.ui
    mouse/line/IScrOptEditLine.ui
    mouse/line/IScrOptRangeLine.ui
    gis/IGisWidget.ui
    gis/ISelDevices.ui
    gis/prj/IDetailsPrj.ui
    gis/db/ISetupDatabase.ui
    gis/db/ISetupWorkspace.ui
    gis/db/ISetupFolder.ui
    gis/db/ISelectSaveAction.ui
    gis/db/ISelectDBFolder.ui
    gis/wpt/IScrOptWpt.ui
    gis/wpt/IDetailsWpt.ui
    gis/wpt/IDetailsGeoCache.ui
    gis/wpt/IProjWpt.ui
    gis/wpt/ISetupNewWpt.ui
    gis/trk/IScrOptTrk.ui
    gis/trk/IDetailsTrk.ui
    gis/trk/ICombineTrk.ui
    gis/trk/filter/IFilterDouglasPeuker.ui
    gis/trk/filter/IFilterReset.ui
    gis/trk/filter/IFilterDelete.ui
    gis/trk/filter/IFilterMedian.ui
    gis/trk/filter/IFilterReplaceElevation.ui
    gis/trk/filter/IFilterOffsetElevation.ui
    gis/trk/filter/IFilterNewDate.ui
    gis/trk/filter/IFilterObscureDate.ui
    gis/trk/filter/IFilterSpeed.ui
    gis/rte/IScrOptRte.ui
    gis/rte/ICreateRouteFromWpt.ui

=== 3rdparty/CGetOpt/CMakeLists.txt ===
project(CGetOpt)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

find_package(Qt5Widgets)

set(SRCS
    CGetOpt.cpp
)

set(HDRS
    CGetOpt.h
)

set(UIS

)

set(RCS


)


qt5_wrap_cpp(MOC_SRCS ${HDRS})
qt5_wrap_ui(UI_HDRS ${UIS})
qt5_add_resources(RC_SRCS ${RCS})

include_directories(

)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(CGetOpt
  STATIC
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)


qt5_use_modules(CGetOpt Widgets)

target_link_libraries( CGetOpt
      ${QT_LIBRARIES}
)

=== 3rdparty/RoutinoLib/CMakeLists.txt ===

option(ROUTINO_BUILD_SLIM_VERSION "Routino: Build slim version" OFF)

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/3rdparty/Routino/src
)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE -Dinline=__inline)
endif(MSVC)

if(UNIX)
add_definitions(-Wall -std=c99 -ffast-math -D_FILE_OFFSET_BITS=64 -D_POSIX_C_SOURCE=200809L -pedantic)
endif(UNIX)

add_definitions(-DROUTINO_DATADIR="./" -DLIBROUTINO -DUSE_GZIP)

if(ROUTINO_BUILD_SLIM_VERSION)
    add_definitions(-DSLIM=1)
else(ROUTINO_BUILD_SLIM_VERSION)
    add_definitions(-DSLIM=0)
endif(ROUTINO_BUILD_SLIM_VERSION)

########### routino library ###########
set(APPNAME routino)

set(SRCS_${APPNAME}
    routino.c
    binout.c
    ../Routino/src/fakes.c
    ../Routino/src/files.c
    ../Routino/src/logging.c
    ../Routino/src/nodes.c
    ../Routino/src/optimiser.c
    ../Routino/src/profiles.c
    ../Routino/src/queue.c
    ../Routino/src/relations.c   
    ../Routino/src/results.c
    ../Routino/src/segments.c
    ../Routino/src/translations.c
    ../Routino/src/types.c
    ../Routino/src/ways.c
    ../Routino/src/xmlparse.c
)

if(MSVC)
set(SRCS_${APPNAME}
    ${SRCS_${APPNAME}}
    ../Routino/src/mman-win32.c
)
endif(MSVC)

set(HDRS_${APPNAME}
    routino.h
    binout.h
    ../Routino/src/cache.h
    ../Routino/src/fakes.h
    ../Routino/src/files.h
    ../Routino/src/functions.h
    ../Routino/src/logging.h
    ../Routino/src/nodes.h
    ../Routino/src/profiles.h    
    ../Routino/src/relations.h    
    ../Routino/src/results.h
    ../Routino/src/segments.h
    ../Routino/src/translations.h
    ../Routino/src/types.h
    ../Routino/src/ways.h
    ../Routino/src/xmlparse.h
)

if(MSVC)
set(HDRS_${APPNAME}
    ${HDRS_${APPNAME}}
    ../Routino/src/mman-win32.h
)
endif(MSVC)


set(ALLINP_${APPNAME}
    ${SRCS_${APPNAME}}
    ${HDRS_${APPNAME}}
)

add_library(${APPNAME} STATIC ${ALLINP_${APPNAME}})
if(UNIX)
target_link_libraries(${APPNAME} m)
endif(UNIX)


########### planet splitter ###########

set(APPNAME planetsplitter)

set(SRCS_${APPNAME}
    ../Routino/src/planetsplitter.c
    ../Routino/src/errorlog.c
    ../Routino/src/errorlogx.c
    ../Routino/src/logerror.c
    ../Routino/src/nodesx.c
    ../Routino/src/osmo5mparse.c
    ../Routino/src/osmparser.c
    ../Routino/src/osmpbfparse.c
    ../Routino/src/osmxmlparse.c
    ../Routino/src/prunex.c
    ../Routino/src/relationsx.c
    ../Routino/src/segmentsx.c
    ../Routino/src/sorting.c
    ../Routino/src/superx.c
    ../Routino/src/tagging.c
    ../Routino/src/uncompress.c
    ../Routino/src/visualiser.c
    ../Routino/src/waysx.c
)

set(HDRS_${APPNAME}
    ../Routino/src/errorlog.h
    ../Routino/src/errorlogx.h
    ../Routino/src/nodesx.h
    ../Routino/src/osmparser.h
    ../Routino/src/prunex.h
    ../Routino/src/relationsx.h
    ../Routino/src/segmentsx.h
    ../Routino/src/sorting.h
    ../Routino/src/superx.h
    ../Routino/src/tagging.h
    ../Routino/src/typesx.h
    ../Routino/src/uncompress.h
    ../Routino/src/visualiser.h
    ../Routino/src/waysx.h
)

set(ALLINP_${APPNAME}
    ${SRCS_${APPNAME}}
    ${HDRS_${APPNAME}}
)

INCLUDE_DIRECTORIES(
    ${ZLIB_DEV_PATH}
)

LINK_DIRECTORIES(
    ${ZLIB_DEV_PATH}
)

add_executable(${APPNAME} ${ALLINP_${APPNAME}})

if(MSVC)
target_link_libraries(${APPNAME} routino zlibstat)
endif(MSVC)

if(UNIX)
target_link_libraries(${APPNAME} routino z)
endif(UNIX)


install(
    TARGETS
      ${APPNAME}
    DESTINATION
      ${BIN_INSTALL_DIR}
)


########### router ###########

set(APPNAME router)

set(SRCS_${APPNAME}
    ../Routino/src/router.c
    ../Routino/src/output.c
)

set(HDRS_${APPNAME}
)

set(ALLINP_${APPNAME}
    ${SRCS_${APPNAME}}
    ${HDRS_${APPNAME}}
)

add_executable(${APPNAME} ${ALLINP_${APPNAME}})
target_link_libraries(${APPNAME} routino)

=== 3rdparty/Routino/src/Makefile ===
# Source code Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2008-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../Makefile.conf

# Debugging options

#CFLAGS+=-O0 -g
#CFLAGS+=-pg
#CFLAGS+=-fprofile-arcs -ftest-coverage

#LDFLAGS+=-pg -static
#LDFLAGS+=-fprofile-arcs -ftest-coverage

# Sub-directories and sub-makefiles

SUBFILES=$(wildcard */Makefile)
SUBDIRS=$(foreach f,$(SUBFILES),$(dir $f))

# Compilation targets

C=$(wildcard *.c)
D=$(wildcard .deps/*.d)

EXE=planetsplitter planetsplitter-slim router router-slim filedumperx filedumper filedumper-slim

LIB=libroutino.so libroutino-slim.so

########

all: all-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

all-local: $(EXE) $(LIB)

########

PLANETSPLITTER_OBJ=planetsplitter.o \
	           nodesx.o segmentsx.o waysx.o relationsx.o superx.o prunex.o \
	           ways.o types.o \
	           files.o logging.o logerror.o errorlogx.o \
	           results.o queue.o sorting.o \
	           xmlparse.o tagging.o \
	           uncompress.o osmxmlparse.o osmpbfparse.o osmo5mparse.o osmparser.o

ifdef MINGW
PLANETSPLITTER_OBJ+=mman-win32.o
endif

planetsplitter : $(PLANETSPLITTER_OBJ)
	$(LD) $(PLANETSPLITTER_OBJ) -o $@ $(LDFLAGS)

########

PLANETSPLITTER_SLIM_OBJ=planetsplitter-slim.o \
	                nodesx-slim.o segmentsx-slim.o waysx-slim.o relationsx-slim.o superx-slim.o prunex-slim.o \
	                ways.o types.o \
	                files.o logging.o logerror-slim.o errorlogx-slim.o \
	                results.o queue.o sorting.o \
	                xmlparse.o tagging.o \
	                uncompress.o osmxmlparse.o osmpbfparse.o osmo5mparse.o osmparser.o

ifdef MINGW
PLANETSPLITTER_SLIM_OBJ+=mman-win32.o
endif

planetsplitter-slim : $(PLANETSPLITTER_SLIM_OBJ)
	$(LD) $(PLANETSPLITTER_SLIM_OBJ) -o $@ $(LDFLAGS)

########

ROUTER_OBJ=router.o \
	   nodes.o segments.o ways.o relations.o types.o fakes.o \
	   optimiser.o output.o \
	   files.o logging.o profiles.o xmlparse.o \
	   results.o queue.o translations.o

ifdef MINGW
ROUTER_OBJ+=mman-win32.o
endif

router : $(ROUTER_OBJ)
	$(LD) $(ROUTER_OBJ) -o $@ $(LDFLAGS)

########

ROUTER_SLIM_OBJ=router-slim.o \
	        nodes-slim.o segments-slim.o ways-slim.o relations-slim.o types.o fakes-slim.o \
	        optimiser-slim.o output-slim.o \
	        files.o logging.o profiles.o xmlparse.o \
	        results.o queue.o translations.o

ifdef MINGW
ROUTER_SLIM_OBJ+=mman-win32.o
endif

router-slim : $(ROUTER_SLIM_OBJ)
	$(LD) $(ROUTER_SLIM_OBJ) -o $@ $(LDFLAGS)

########

FILEDUMPERX_OBJ=filedumperx.o \
	        files.o logging.o

ifdef MINGW
FILEDUMPERX_OBJ+=mman-win32.o
endif

filedumperx : $(FILEDUMPERX_OBJ)
	$(LD) $(FILEDUMPERX_OBJ) -o $@ $(LDFLAGS)

########

FILEDUMPER_OBJ=filedumper.o \
	       nodes.o segments.o ways.o relations.o types.o fakes.o errorlog.o \
               visualiser.o \
	       files.o logging.o xmlparse.o

ifdef MINGW
FILEDUMPER_OBJ+=mman-win32.o
endif

filedumper : $(FILEDUMPER_OBJ)
	$(LD) $(FILEDUMPER_OBJ) -o $@ $(LDFLAGS)

########

FILEDUMPER_SLIM_OBJ=filedumper-slim.o \
	       nodes-slim.o segments-slim.o ways-slim.o relations-slim.o types.o fakes-slim.o errorlog-slim.o \
	       visualiser-slim.o \
	       files.o logging.o xmlparse.o

ifdef MINGW
FILEDUMPER_SLIM_OBJ+=mman-win32.o
endif

filedumper-slim : $(FILEDUMPER_SLIM_OBJ)
	$(LD) $(FILEDUMPER_SLIM_OBJ) -o $@ $(LDFLAGS)

########

%.o : %.c
	@[ -d .deps ] || mkdir .deps
	$(CC) -c $(CFLAGS) -DSLIM=0 -DROUTINO_DATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))

%-slim.o : %.c
	@[ -d .deps ] || mkdir .deps
	$(CC) -c $(CFLAGS) -DSLIM=1 -DROUTINO_DATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))

########

LIBROUTINO_OBJ=routino-lib.o \
	        nodes-lib.o segments-lib.o ways-lib.o relations-lib.o types-lib.o fakes-lib.o \
	        optimiser-lib.o output-lib.o \
	        files-lib.o profiles-lib.o xmlparse-lib.o \
	        results-lib.o queue-lib.o translations-lib.o

ifdef MINGW
LIBROUTINO_OBJ+=mman-win32.o
endif

libroutino.so : $(LIBROUTINO_OBJ)
	$(LD) $(LIBROUTINO_OBJ) -o $@ $(LDFLAGS) $(LDFLAGS_LIB)

########

LIBROUTINO_SLIM_OBJ=routino-slim-lib.o \
	        nodes-slim-lib.o segments-slim-lib.o ways-slim-lib.o relations-slim-lib.o types-lib.o fakes-slim-lib.o \
	        optimiser-slim-lib.o output-slim-lib.o \
	        files-lib.o profiles-lib.o xmlparse-lib.o \
	        results-lib.o queue-lib.o translations-lib.o

ifdef MINGW
LIBROUTINO_SLIM_OBJ+=mman-win32.o
endif

libroutino-slim.so : $(LIBROUTINO_SLIM_OBJ)
	$(LD) $(LIBROUTINO_SLIM_OBJ) -o $@ $(LDFLAGS) $(LDFLAGS_LIB)

########

%-lib.o : %.c
	@[ -d .deps ] || mkdir .deps
	$(CC) -c $(CFLAGS) $(CFLAGS_LIB) -DSLIM=0 -DLIBROUTINO $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))

%-slim-lib.o : %.c
	@[ -d .deps ] || mkdir .deps
	$(CC) -c $(CFLAGS) $(CFLAGS_LIB) -DSLIM=1 -DLIBROUTINO $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))

########

test: test-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

test-local:

########

install: install-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

install-local: all-local
	@[ -d $(DESTDIR)$(bindir) ] || mkdir -p $(DESTDIR)$(bindir)
	@for file in $(EXE); do \
	    if [ -f $$file ]; then \
	       echo cp $$file $(DESTDIR)$(bindir) ;\
	       cp -f $$file $(DESTDIR)$(bindir) ;\
	    fi ;\
	    if [ -f $$file.exe ]; then \
	       echo cp $$file.exe $(DESTDIR)$(bindir) ;\
	       cp -f $$file.exe $(DESTDIR)$(bindir) ;\
	    fi ;\
	 done

########

clean: clean-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

clean-local:
	rm -f *~
	rm -f *.o
	rm -f $(EXE) *.exe
	rm -f $(LIB)
	rm -f $(D)
	rm -fr .deps
	rm -f core
	rm -f *.gcda *.gcno *.gcov gmon.out

########

distclean: distclean-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

distclean-local: clean-local

########

include $(D)

########

.PHONY:: all test install clean distclean

.PHONY:: all-local test-local install-local clean-local distclean-local

=== 3rdparty/Routino/web/Makefile ===
# web directory Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2010-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../Makefile.conf

# Web file paths and other paths

WEBBINDIR=bin
WEBDATADIR=data
WEBTRANSDIR=translations
WEBWWWDIR=www/routino
WEBICONDIR=www/routino/icons
WEBDOCDIR=www/routino/documentation

XMLDIR=../xml
DOCDIR=../doc
SRCDIR=../src

# Files to install

STANDARD_XML_FILES=profiles.xml \
	           translations.xml \
	           tagging.xml

SPECIAL_XML_FILES=tagging-drive.xml \
	          tagging-ride.xml \
	          tagging-walk.xml

PROFILE_FILES=profiles.pl \
	      profiles.js

TRANS_FILES=$(wildcard $(WEBTRANSDIR)/translation.*.txt)

DOC_FILES=$(notdir $(wildcard $(DOCDIR)/html/*.html)) $(notdir $(wildcard $(DOCDIR)/html/*.css))

EXE_FILES=planetsplitter planetsplitter-slim router router-slim filedumperx filedumper filedumper-slim

########

all: all-bin all-data all-doc all-profiles all-translations all-icons

####

all-bin: all-exe
	@[ -d $(WEBBINDIR) ] || mkdir -p $(WEBBINDIR)
	@for file in $(EXE_FILES); do \
	    if [ -f $(SRCDIR)/$$file -a ! -f $(WEBBINDIR)/$$file ] || [ $(SRCDIR)/$$file -nt $(WEBBINDIR)/$$file ]; then \
	       echo cp $(SRCDIR)/$$file $(WEBBINDIR) ;\
	       cp -f $(SRCDIR)/$$file $(WEBBINDIR) ;\
	    fi ;\
	    if [ -f $(SRCDIR)/$$file.exe -a ! -f $(WEBBINDIR)/$$file.exe ] || [ $(SRCDIR)/$$file.exe -nt $(WEBBINDIR)/$$file.exe ]; then \
	       echo cp $(SRCDIR)/$$file.exe $(WEBBINDIR) ;\
	       cp -f $(SRCDIR)/$$file.exe $(WEBBINDIR) ;\
	    fi ;\
	 done

####

all-data: all-xml
	@[ -d $(WEBDATADIR) ] || mkdir -p $(WEBDATADIR)
	@for file in $(STANDARD_XML_FILES); do \
	    if [ ! -f $(WEBDATADIR)/$$file ] || [ $(XMLDIR)/routino-$$file -nt $(WEBDATADIR)/$$file ]; then \
	       echo cp $(XMLDIR)/routino-$$file $(WEBDATADIR)/$$file ;\
	       cp -f $(XMLDIR)/routino-$$file $(WEBDATADIR)/$$file ;\
	    fi ;\
	 done
	@for file in $(SPECIAL_XML_FILES); do \
	    if [ ! -f $(WEBDATADIR)/$$file ] || [ $(XMLDIR)/$$file -nt $(WEBDATADIR)/$$file ]; then \
	       echo cp $(XMLDIR)/$$file $(WEBDATADIR)/$$file ;\
	       cp -f $(XMLDIR)/$$file $(WEBDATADIR)/$$file ;\
	    fi ;\
	 done

####

all-doc:
	@[ -d $(WEBDOCDIR) ] || mkdir -p $(WEBDOCDIR)
	@for file in $(DOC_FILES); do \
	    if [ ! -f $(WEBDOCDIR)/$$file ] || [ $(DOCDIR)/html/$$file -nt $(WEBDOCDIR)/$$file ]; then \
	       echo cp $(DOCDIR)/html/$$file $(WEBDOCDIR) ;\
	       cp -f $(DOCDIR)/html/$$file $(WEBDOCDIR) ;\
	    fi ;\
	 done

####

all-profiles: all-exe all-data
	@if [ ! -f $(WEBWWWDIR)/profiles.js ] || [ ! -f $(WEBWWWDIR)/profiles.pl ] || \
	     [ $(WEBDATADIR)/profiles.xml -nt $(WEBWWWDIR)/profiles.pl ] || \
	     [ $(WEBDATADIR)/profiles.xml -nt $(WEBWWWDIR)/profiles.js ]; then \
	    echo update-profiles.pl ;\
	    ( cd $(WEBWWWDIR) ; perl update-profiles.pl ) ;\
	 fi

####

all-translations: $(WEBWWWDIR)/router.html    $(WEBWWWDIR)/visualiser.html \
	          $(WEBWWWDIR)/router.html.en $(WEBWWWDIR)/visualiser.html.en \
	          $(XMLDIR)/routino-translations.xml

ifdef MINGW

$(WEBWWWDIR)/router.html: $(WEBWWWDIR)/router.html.en
	@echo cp $< $@
	@cp -f $< $@

$(WEBWWWDIR)/visualiser.html: $(WEBWWWDIR)/visualiser.html.en
	@echo cp $< $@
	@cp -f $< $@

else

$(WEBWWWDIR)/router.html: $(WEBWWWDIR)/router.html.en
	@echo ln -s `basename $<` $@
	@ln -s -f `basename $<` $@

$(WEBWWWDIR)/visualiser.html: $(WEBWWWDIR)/visualiser.html.en
	@echo ln -s `basename $<` $@
	@ln -s -f `basename $<` $@

endif

$(WEBWWWDIR)/router.html.en: $(WEBTRANSDIR)/router.html $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
	@echo translate.pl
	@cd $(WEBTRANSDIR) && perl translate.pl

$(WEBWWWDIR)/visualiser.html.en: $(WEBTRANSDIR)/visualiser.html $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
	@echo translate.pl
	@cd $(WEBTRANSDIR) && perl translate.pl

$(XMLDIR)/routino-translations.xml: $(WEBTRANSDIR)/translations-head.xml $(WEBTRANSDIR)/translations-body.xml $(WEBTRANSDIR)/translations-tail.xml $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
	@echo translate.pl
	@cd $(WEBTRANSDIR) && perl translate.pl

####

all-icons: $(WEBICONDIR)/ball-0.png

$(WEBICONDIR)/ball-0.png: $(WEBICONDIR)/create-icons.pl
	@echo create-icons.pl
	@cd $(WEBICONDIR) && perl create-icons.pl

####

all-exe:
	cd $(SRCDIR) && $(MAKE) $(EXE_FILES)

####

all-xml: $(XMLDIR)/routino-translations.xml
	cd $(XMLDIR) && $(MAKE) all

########

test:

########

install: all
	@echo "******************************************************"
	@echo "* Note: web directory is not installed automatically *"
	@echo "******************************************************"

########

clean: clean clean-all-bin clean-all-data clean-all-doc clean-all-profiles clean-all-translations clean-all-icons
	rm -f *~

clean-all-bin:
	-cd $(WEBBINDIR)  && rm -f $(EXE_FILES) *.exe

clean-all-data:
	-cd $(WEBDATADIR) && rm -f $(STANDARD_XML_FILES)
	-cd $(WEBDATADIR) && rm -f $(SPECIAL_XML_FILES)

clean-all-doc:
	-cd $(WEBDOCDIR)  && rm -f $(DOC_FILES)

clean-all-profiles:

clean-all-translations:

clean-all-icons:

########

distclean: distclean-all-bin distclean-all-data distclean-all-doc distclean-all-profiles distclean-all-translations distclean-all-icons

distclean-all-bin: clean-all-bin

distclean-all-data: clean-all-data

distclean-all-doc: clean-all-doc

distclean-all-profiles: clean-all-profiles
	-cd $(WEBWWWDIR)  && rm -f $(PROFILE_FILES)

distclean-all-translations: clean-all-translations
	-cd $(WEBWWWDIR)  && rm -f router.html*
	-cd $(WEBWWWDIR)  && rm -f visualiser.html*

distclean-all-icons: clean-all-icons
	-cd $(WEBICONDIR) && rm -f ball-*.png limit-*.png marker-*.png

########

.PHONY:: all test install clean distclean

.PHONY:: all-bin all-data all-doc all-profiles all-icons all-translations all-exe all-xml

.PHONY:: clean-all-bin clean-all-data clean-all-doc clean-all-profiles clean-all-translations clean-all-icons

.PHONY:: distclean-all-bin distclean-all-data distclean-all-doc distclean-all-profiles distclean-all-translations distclean-all-icons

=== 3rdparty/Routino/extras/find-fixme/Makefile ===
# find-fixme Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2013-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# Web file paths

WEBBINDIR=web/bin
WEBDATADIR=web/data
WEBWWWDIR=web/www

# Compilation targets

C=$(wildcard *.c)
D=$(wildcard .deps/*.d)

ROUTINO_SRC=../../src
ROUTINO_WEBWWWDIR=../../web/www/routino
ROUTINO_DOCDIR=../../doc/html

EXE=fixme-finder fixme-finder-slim fixme-dumper fixme-dumper-slim
DATA=fixme.xml
WWW_COPY=page-elements.css page-elements.js maplayout.css mapprops.js maploader.js
DOC_COPY=style.css

########

all: all-bin all-data all-www

all-bin: $(EXE)
	@[ -d $(WEBBINDIR) ] || mkdir -p $(WEBBINDIR)
	@for file in $(EXE); do \
	    if [ ! -f $(WEBBINDIR)/$$file ] || [ $$file -nt $(WEBBINDIR)/$$file ]; then \
	       echo cp $$file $(WEBBINDIR) ;\
	       cp -f $$file $(WEBBINDIR) ;\
	    fi ;\
	 done

all-data:
	@[ -d $(WEBDATADIR) ] || mkdir -p $(WEBDATADIR)
	@for file in $(DATA); do \
	    if [ ! -f $(WEBDATADIR)/$$file ] || [ $$file -nt $(WEBDATADIR)/$$file ]; then \
	       echo cp $$file $(WEBDATADIR) ;\
	       cp -f $$file $(WEBDATADIR) ;\
	    fi ;\
	 done

all-www:
	@for file in $(WWW_COPY); do \
	    if [ ! -f $(WEBWWWDIR)/$$file ] || [ $(ROUTINO_WEBWWWDIR)/$$file -nt $(WEBWWWDIR)/$$file ]; then \
	       echo cp $(ROUTINO_WEBWWWDIR)/$$file $(WEBWWWDIR) ;\
	       cp -f $(ROUTINO_WEBWWWDIR)/$$file $(WEBWWWDIR) ;\
	    fi ;\
	 done
	@for file in $(DOC_COPY); do \
	    if [ ! -f $(WEBWWWDIR)/$$file ] || [ $(ROUTINO_DOCDIR)/$$file -nt $(WEBWWWDIR)/$$file ]; then \
	       echo cp $(ROUTINO_DOCDIR)/$$file $(WEBWWWDIR) ;\
	       cp -f $(ROUTINO_DOCDIR)/$$file $(WEBWWWDIR) ;\
	    fi ;\
	 done

########

FIXME_FINDER_OBJ=fixme-finder.o osmparser.o \
	       	 $(ROUTINO_SRC)/nodesx.o $(ROUTINO_SRC)/segmentsx.o $(ROUTINO_SRC)/waysx.o $(ROUTINO_SRC)/relationsx.o \
	       	 $(ROUTINO_SRC)/ways.o $(ROUTINO_SRC)/types.o \
	       	 $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/logerror.o $(ROUTINO_SRC)/errorlogx.o \
	       	 $(ROUTINO_SRC)/sorting.o \
	       	 $(ROUTINO_SRC)/xmlparse.o $(ROUTINO_SRC)/tagging.o \
	       	 $(ROUTINO_SRC)/uncompress.o $(ROUTINO_SRC)/osmxmlparse.o $(ROUTINO_SRC)/osmpbfparse.o $(ROUTINO_SRC)/osmo5mparse.o

ifdef MINGW
FIXME_FINDER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-finder : $(FIXME_FINDER_OBJ)
	$(LD) $(FIXME_FINDER_OBJ) -o $@ $(LDFLAGS)

########

FIXME_FINDER_SLIM_OBJ=fixme-finder-slim.o osmparser.o \
	       	      $(ROUTINO_SRC)/nodesx-slim.o $(ROUTINO_SRC)/segmentsx-slim.o $(ROUTINO_SRC)/waysx-slim.o $(ROUTINO_SRC)/relationsx-slim.o \
	              $(ROUTINO_SRC)/ways.o $(ROUTINO_SRC)/types.o \
	       	      $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/logerror-slim.o $(ROUTINO_SRC)/errorlogx-slim.o \
	              $(ROUTINO_SRC)/sorting.o \
	       	      $(ROUTINO_SRC)/xmlparse.o $(ROUTINO_SRC)/tagging.o \
	       	      $(ROUTINO_SRC)/uncompress.o $(ROUTINO_SRC)/osmxmlparse.o $(ROUTINO_SRC)/osmpbfparse.o $(ROUTINO_SRC)/osmo5mparse.o

ifdef MINGW
FIXME_FINDER_SLIM_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-finder-slim : $(FIXME_FINDER_SLIM_OBJ)
	$(LD) $(FIXME_FINDER_SLIM_OBJ) -o $@ $(LDFLAGS)

########

FIXME_DUMPER_OBJ=fixme-dumper.o \
	         $(ROUTINO_SRC)/errorlog.o \
	         $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/xmlparse.o

ifdef MINGW
FIXME_DUMPER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-dumper : $(FIXME_DUMPER_OBJ)
	$(LD) $(FIXME_DUMPER_OBJ) -o $@ $(LDFLAGS)

########

FIXME_DUMPER_SLIM_OBJ=fixme-dumper-slim.o \
	              $(ROUTINO_SRC)/errorlog-slim.o \
	              $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/xmlparse.o

ifdef MINGW
FIXME_DUMPER_SLIM_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-dumper-slim : $(FIXME_DUMPER_SLIM_OBJ)
	$(LD) $(FIXME_DUMPER_SLIM_OBJ) -o $@ $(LDFLAGS)

########

$(ROUTINO_SRC)/%.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

$(ROUTINO_SRC)/%-slim.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

%.o : %.c
	@[ -d .deps ] || mkdir .deps
	$(CC) -c $(CFLAGS) -DSLIM=0 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))

%-slim.o : %.c
	@[ -d .deps ] || mkdir .deps
	$(CC) -c $(CFLAGS) -DSLIM=1 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))

########

test:

########

install:

########

clean:
	rm -f *~
	rm -f *.o
	cd $(WEBBINDIR) && rm -f $(EXE) *.exe
	cd $(WEBDATADIR) && rm -f $(DATA)
	cd $(WEBWWWDIR) && rm -f $(WWW_COPY)
	cd $(WEBWWWDIR) && rm -f $(DOC_COPY)
	rm -f $(EXE) *.exe
	rm -f $(D)
	rm -fr .deps
	rm -f core

########

distclean: clean

########

include $(D)

########

.PHONY:: all test install clean distclean

.PHONY:: all-bin all-data all-www

=== 3rdparty/Routino/extras/tagmodifier/Makefile ===
# tagmodifier Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2013-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# Compilation targets

C=$(wildcard *.c)
D=$(wildcard .deps/*.d)

ROUTINO_SRC=../../src

EXE=tagmodifier

########

all: $(EXE)

########

TAGMODIFIER_OBJ=tagmodifier.o \
	        $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/logerror.o \
	        $(ROUTINO_SRC)/uncompress.o $(ROUTINO_SRC)/xmlparse.o $(ROUTINO_SRC)/tagging.o

ifdef MINGW
TAGMODIFIER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

tagmodifier : $(TAGMODIFIER_OBJ)
	$(LD) $(TAGMODIFIER_OBJ) -o $@ $(LDFLAGS)

########

$(ROUTINO_SRC)/%.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

%.o : %.c
	@[ -d .deps ] || mkdir .deps
	$(CC) -c $(CFLAGS) -DSLIM=0 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))

########

test:

########

install:

########

clean:
	rm -f *~
	rm -f *.o
	rm -f $(EXE) *.exe
	rm -f $(D)
	rm -fr .deps
	rm -f core

########

distclean: clean

########

include $(D)

########

.PHONY:: all test install clean distclean

=== 3rdparty/Routino/src/test/Makefile ===
# Test cases Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2011-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# executables

ROUTINO_EXE=../planetsplitter ../planetsplitter-slim \
            ../router ../router-slim \
            ../filedumper ../filedumper-slim

EXE=is-fast-math

# Compilation targets

O=$(notdir $(wildcard *.osm))
S=$(foreach f,$(O),$(addsuffix .sh,$(basename $f)))

########

all :

########

test : $(ROUTINO_EXE) $(EXE)
	@status=true ;\
	echo ""; \
	./is-fast-math message; \
	for script in $(S); do \
	   echo "" ;\
	   echo "Testing: $$script (non-slim, no pruning) ... " ;\
	   if ./$$script fat; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	done ;\
	for script in $(S); do \
	   echo "" ;\
	   echo "Testing: $$script (slim, no pruning) ... " ;\
	   if ./$$script slim; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	done ;\
	echo "" ;\
	if $$status; then echo "Success: all tests passed"; else echo "Warning: Some tests FAILED"; fi ;\
	$$status || exit 1 ;\
	echo "" ;\
	echo "Comparing: slim and non-slim results ... " ;\
	if diff -q -r slim fat; then echo "... matched"; else echo "... match FAILED"; status=false; fi ;\
	echo "" ;\
	if $$status; then echo "Success: slim and non-slim results match"; else echo "Warning: slim and non-slim results are different - FAILED"; fi ;\
	for script in $(S); do \
	   echo "" ;\
	   echo "Testing: $$script (non-slim, pruning) ... " ;\
	   if ./$$script fat prune; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	done ;\
	for script in $(S); do \
	   echo "" ;\
	   echo "Testing: $$script (slim, pruning) ... " ;\
	   if ./$$script slim prune; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	done ;\
	echo "" ;\
	if $$status; then echo "Success: all tests passed"; else echo "Warning: Some tests FAILED"; fi ;\
	$$status || exit 1 ;\
	echo "" ;\
	echo "Comparing: slim and non-slim results ... " ;\
	if diff -q -r slim-pruned fat-pruned; then echo "... matched"; else echo "... match FAILED"; status=false; fi ;\
	echo "" ;\
	if $$status; then echo "Success: slim and non-slim results match"; else echo "Warning: slim and non-slim results are different - FAILED"; fi ;\
	$$status

########

$(ROUTINO_EXE) ::
	cd .. && $(MAKE) $(notdir $@)

is-fast-math : is-fast-math.o
	$(LD) $< -o $@ $(LDFLAGS)

is-fast-math.o : is-fast-math.c
	$(CC) -c $(CFLAGS) $< -o $@

########

install:

########

clean:
	rm -rf fat
	rm -rf slim
	rm -rf fat-pruned
	rm -rf slim-pruned
	rm -f *.log
	rm -f *~
	rm -f *.o
	rm -f $(EXE) *.exe
	rm -f core
	rm -f *.gcda *.gcno *.gcov gmon.out

########

distclean: clean

########

.PHONY:: all test install clean distclean

=== 3rdparty/Routino/src/xml/Makefile ===
# XML test programs Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2010-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# Compilation targets

XMLDIR=../../xml

X=$(notdir $(wildcard $(XMLDIR)/*.xsd))
C=$(foreach f,$(X),$(addsuffix -skeleton.c,$(basename $f)))
D=$(wildcard .deps/*.d)
O=$(foreach f,$(C),$(addsuffix .o,$(basename $f)))
E=$(foreach f,$(C),$(basename $f))

EXE=xsd-to-xmlparser

########

all: $(EXE) $(C) $(E)

########

xsd-to-xmlparser : xsd-to-xmlparser.o ../xmlparse.o
	$(LD) xsd-to-xmlparser.o ../xmlparse.o -o $@ $(LDFLAGS)

########

%-skeleton.c : $(XMLDIR)/%.xsd xsd-to-xmlparser
	-./xsd-to-xmlparser < $< > $@
	@test -s $@ || rm $@

%-skeleton : %-skeleton.o ../xmlparse.o
	$(LD) $< ../xmlparse.o -o $@ $(LDFLAGS)

.SECONDARY : $(O)

########

../xmlparse.o : ../xmlparse.c ../xmlparse.h
	cd .. && $(MAKE) xmlparse.o

########

%.o : %.c
	@[ -d .deps ] || mkdir .deps
	$(CC) -c $(CFLAGS) -I.. $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))

########

test: test-skeleton
	@status=true ;\
	echo "" ;\
	for good in test/good*.xml; do \
	   echo "Testing: $$good ... " ;\
	   if ./test-skeleton < $$good > /dev/null; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	   echo "" ;\
	done ;\
	for bad in test/bad*.xml; do \
	   echo "Testing: $$bad ... " ;\
	   if ./test-skeleton < $$bad > /dev/null; then echo "... FAILED"; status=false; else echo "... passed"; fi ;\
	   echo "" ;\
	done ;\
	if $$status; then echo "Success: all tests passed"; else echo "Warning: Some tests FAILED"; fi ;\
	$$status

test-skeleton : test-skeleton.o
	$(LD) $< ../xmlparse.o -o $@ $(LDFLAGS)

test-skeleton.c : test/test.xsd xsd-to-xmlparser
	./xsd-to-xmlparser < $< | sed -e 's/XMLPARSE_UNKNOWN_ATTR_WARN/XMLPARSE_UNKNOWN_ATTR_ERROR/' > $@

########

install:

########

clean:
	rm -f *~
	rm -f *.o
	rm -f $(EXE) *.exe
	rm -f $(E) test-skeleton
	rm -f $(D) .deps/test-skeleton.d
	rm -f $(C) test-skeleton.c
	rm -fr .deps
	rm -f core
	rm -f *.gcda *.gcno *.gcov gmon.out

########

distclean: clean

########

include $(D)

########

.PHONY:: all test install clean distclean

=== debian/changelog ===
qmapshack (1.3.0-4) unstable; urgency=medium

  * Disable icon regeneration on arm64 due to inkscape failure.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Aug 2015 02:09:49 +0200

qmapshack (1.3.0-3) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Update watch file to support more version formats.
  * Rebuild for gdal transition.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 17:59:55 +0200

qmapshack (1.3.0-2) unstable; urgency=medium

  * Add dependency on routino for planetsplitter.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jul 2015 19:19:39 +0200

qmapshack (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Update copyright years
    - Add license & copyright for new 3rdparty routino source
  * Don't install planetsplitter, binary already provided by routino package.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jun 2015 20:31:51 +0200

qmapshack (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Apr 2015 21:56:47 +0200

qmapshack (1.2.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 19:56:22 +0200

qmapshack (1.2.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Apr 2015 16:15:56 +0200

qmapshack (1.2.0-1~exp2) experimental; urgency=medium

  * Add dependency on libqt5sql5-sqlite to support database import from
    QLandkarteGT.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 Apr 2015 16:47:33 +0200

qmapshack (1.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Apr 2015 23:30:49 +0200

qmapshack (1.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Mar 2015 17:56:05 +0200

qmapshack (1.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop upstream tarball repacking, no longer required.
  * Drop devicewatcher-hurd-kfreebsd.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Mar 2015 21:17:01 +0100

qmapshack (1.0.0+ds1-1~exp2) experimental; urgency=medium

  * Add patch to disable deviceWatcher on Hurd & kFreeBSD to fix FTBFS.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Mar 2015 16:57:23 +0100

qmapshack (1.0.0+ds1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Enable verbose makefiles.
  * Remove unused variables in rules file.
  * Add upstream metadata.
  * Repack upstream tarball to exclude .hg directory.
  * Update my email to @debian.org address.
  * Remove patches applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Mar 2015 14:31:31 +0100

qmapshack (0.12.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 28 Jan 2015 08:47:23 +0100

qmapshack (0.11.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop artificial-typo.patch, applied upstream.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Mon, 19 Jan 2015 21:37:39 +0100

qmapshack (0.10.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add path to fix 'artificial' typo.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 11 Jan 2015 12:08:03 +0100

qmapshack (0.9.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Reorder targets in rules file, drop get-orig-source target plain
    uscan is used now.
  * Reorder Files paragraphs in copyright file, place debian/* at the end.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 02 Jan 2015 13:27:08 +0100

qmapshack (0.9.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update Source URL in copyright file.
  * Restructure control file with cme.
  * Use cgit instead of gitweb for Vcs-Browser URL.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 25 Dec 2014 17:22:23 +0100

qmapshack (0.8.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Update copyright file, changes:
    - Copyright years
    - public-domain license specification
  * Remove icons before regenerating in d/rules instead of d/clean.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 13 Dec 2014 02:03:10 +0100

=== debian/control ===
Source: qmapshack
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9.20120417~),
               inkscape,
               libgdal-dev (>= 1.10.1-0~),
               libproj-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               qtscript5-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/qmapshack.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/qmapshack.git
Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home

Package: qmapshack
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt5sql5-sqlite
Recommends: gdal-bin,
            routino
Suggests: gpsd
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format.
 You can also view and edit your GPX tracks.
 QMapShack is the successor of QLandkarteGT.
 .
 Main features:
  - Use of several workspaces.
  - Use several maps on a workspace.
  - Handle data project-oriented.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export QT_SELECT := qt5

# one ring to rule them all ...
%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_VERBOSE_MAKEFILE=1

override_dh_auto_build:
ifeq (,$(findstring $(DEB_HOST_ARCH),"arm64"))
	# Don't regenerate icons on arm64, inkscape fails
	$(RM) $(CURDIR)/src/icons/16x16/*
	$(RM) $(CURDIR)/src/icons/32x32/*
	$(RM) $(CURDIR)/src/icons/48x48/*
	$(RM) $(CURDIR)/src/icons/cache/32x32/*
	$(RM) $(CURDIR)/src/icons/waypoints/32x32/*
	$(RM) $(CURDIR)/src/pics/compass.png

	cd $(CURDIR)/src/icons/ && bash makeicons
	cd $(CURDIR)/src/icons/cache/ && bash makeicons
	cd $(CURDIR)/src/icons/waypoints/ && bash makeicons
	inkscape -D -w 180 -h 180 $(CURDIR)/src/pics/compass.svg --export-png=$(CURDIR)/src/pics/compass.png
endif

	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	install -m 644 $(CURDIR)/debian/*.xpm $(CURDIR)/debian/qmapshack/usr/share/pixmaps/

	# Use planetsplitter from routino package instead
	$(RM) $(CURDIR)/debian/*/usr/bin/planetsplitter

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt
